# Polynom 1.3.37

[1.3.37] - 2026-01-29

Code Siren is pleased to announce the release of Polynom 1.3.37

In this release a number of desktop features were brought over to mobile, including database encryption and sticky notes. There have been numerous bug fixes and upgrades to many of the supporting libraries.

Features:
- Sticky Notes: add to mobile UI
- Database Encryption - Add to Mobile
- notifications: decrypted remote notifications on iOS
- Quantum Rooms - Add a user view
- images: allow swiping of full-screen images
- Sticky notes - Pasting files
- File Sharing - Add the ShareTo functionality 
- Spellcheck: make android keyboard suggestions work in DMs
- Toolbar: create shortcuts to settings

Enhancements:
- MainView.qml: closing/removing active entities update #1102
- Database Encryption - Add the feature to Mobile #2248
- File Rooms - Add Search to File Rooms #2219
- Qt.createComponent: Replace with PopupSingleton openPopup #2055
- notifications: decrypted remote notifications on iOS #2121
- Image View - Add the ability to navigate between Images in the same Chat Bubble #265
- Media View - Add the ability to swipe between Images in the same Chat Bubble #394
- Server Connection indicator - Losing access to a connection is not indicated #730
- Chat - Add the ability to cancel File transfers #561
- Nav: Create more navs #2026
- Uploading: remember last path used with an upload dialog #690
- New Identity page - Add QoL updates to the Graphatar selection #254
- File Sharing - Design where we put a Share button #1373
- Ordering - Add the ability to reorder Servers #261
- VOIP Configuration page - Make changes to the Dropdown menu work in real time #700
- User settable Top Toolbar Options #219
- Sticky Notes: add to mobile UI #2132
- Quantum Rooms - Add a user view #2150
- images: allow swiping of full-screen images #2127
- Wizard: hide options people find confusing until we redesign #2136
- Notifications: hide blink setting on desktop #2135
- Sticky notes - Pasting files #2149
- Consistency: Settings and other menus on mobile #2160
- Wizard: compress the wizard to a single page on mobile #2151
- Animated Images: are we using the cache path? #2138
- File Sharing - Add the Share functionality #1371
- id_root: Clean up references #1802
- Mentions - Make the Mention UI only as big as it needs to be #1497
- Change current iOS notifications from local to remote. #1978
- Spellcheck: make android keyboard suggestions work in DMs #1951
- Wizard: compress the wizard to a single page on desktop #2152
- Code: Get rid of redundant `identificator` property used in many popups #1888
- Room Views: make headers consistent larger size, and move create (x) to the header #2133
- Toolbar: create shortcuts to settings #2043
- Desktop: add status, rearrange toolbar #2147
- Settings: add ability to close to right pane settings #2202
- Sticky Notes: edit elements in place #2134
- Whitelist/Blacklist page - Make hovering over the Remove from Whitelist/Blacklist buttons change the cursor into a hand #2187
- Help: right pane help for SE keys #2211
- Server List - When a connection to a Server has not been established yet, the Server address is misaligned #2280
- Room View - Room Names do not take the SE indicator and Room glyph/emoji into consideration #2309
- Media View - Make the Navigation and Status Bar colors Black #2400
- Chat - Prevent Users from Pasting a File that exceeds their Attachment Size Limit from their Clipboard #2204
- Push to Talk: implement on windows, tidy on iOS & android #822
- Media View - Add a QoL Zoom interaction #898
- Gravatars: allow custom user images #983
- Toolbar - Make the Toolbar Transparency slider apply only to the background and fix the scaling issue #2272
- ID Selector - Replace the Hash with the User's Role while connected to a Server #2294
- Logs page - Replace the View button with a Copy button #2297
- Streaming - Remove it from all non-File Room context menus #2311
- mobile - Save key and decrypt notifications. #2154
- Call Rooms - Hide the Mute button while Push to Talk is enabled #2435
- User List - Make pressing on a User open their User Details page #2465
- Paths: confirm that sanitize_path and q_property_util c++ are doing the right things on all platforms #2113
- Android: ensure compliance with the 16kb page requirements #2481

Bug Fixes:
- Upgrade to QT 6.10.1 brings numerous QT related bugfixes
- Upgrade to QT 6.9 brings numerous QT related bugfixes
- Roles - Adjusted Permissions don't apply until the User manually Reconnects to the Server #2433
- Chat - Downloading some Attachments does not work #2419
- Channel description: Not displayed anywhere on mobile #2116
- desktop: a full screen client will not restore to full screen after being minimized. #2110
- Call Rooms - Setting your Mic volume is no longer possible #2328
- Social Encryption - Keys with multiple entropies don't get the same hash assigned across different platforms #2298
- Saved Messages - Uploading Attachments doesn't work without the Upload_Attachments Permission #2379
- Shortcuts - The User List Shortcut does not work #2346
- SE Rooms - Accessing Attachments/Files from previous SE Encryptions doesn't work #2492
- Polynom client - Entering the Decryption Password breaks the UI #2493
- Mobile 6.10 bugs - The Logs, Blacklist, Whitelist, Manage Access and Manage Roles pages can't be opened #2494
- Mobile 6.10 bugs - File Rooms, SE Keys page, Add Server & Manage Server, Identities Tab entries aren't showing up #2495
- Chat - Push Notifications for Messages show even if you're already in the right Chat #2496
- Mobile 6.10 bugs - Interacting with most expanding/collapsing sections does not work #2499
- Models: Filter models by text no longer works #2500
- Chat - Left clicking non-Media Chat Attachments no longer does anything #2503
- Page headers - Non-page name Header content is mispositioned #2504
- Quantum Rooms - Triggering the Mentions menu no longer works #2505
- Desktop 6.10 bugs - Pressing some buttons no longer works #2507
- File Rooms/Transfers page - Column headers get broken when you add columns #2509
- Wizard - Most of the buttons are broken #2510
- Limits: Hard limits on the input fields are broken #1847
- Quantum Rooms - The User View is missing the hash and gets stuck when the QR is left #2168
- Desktop system tray icon doesn't show tooltip. #2034
- Splash Screen freeze - Maximizing Polynom after having it Minimized and your Screen locked causes it to freeze during the Splash Screen #2398
- server toolbar image: not updating on community server #2112
- Color Selector - Scrolling the System Colors tab up does not work #2332
- Announcement Rooms - Adding text to Attachment-only Messages doesn't work #2348
- Transfers page - Deleting History tab entries doesn't work #2361
- Save Room Image feature - Saving (Downloading) a Room Image through the Channel Nav does not work #2366
- Wizard - Improve the Welcome to Polynom image and the Skip/Finish button bar #2373
- Encrypted DB Notifications - Enabling notification decryption does not work #2376
- Notification/Navigation bar - Change their color when the Media View or Bottom-up menu is opened #2383
- Chat - Sometimes it doesn't open at the full bottom #2172
- Chat - Sending a Message before the Attachments have finished Uploading breaks the Chat until Reconnect/Refresh #2181
- Header Search - Exceeding the Header width doesn't hide the Input #2220
- Push Notifications - Push Notifications for Chat Messages that include or contain a File do not display properly #2254
- Transfers page - The Open and Open Folder buttons for Folders don't work #2404
- SE File Rooms - The floating button is available even when the User is missing the right SE Key #2413
- Chat Images - Chat Bubbles don't take Image Names into consideration when determining their width while the Chat Images toggle is OFF #2470
- Windows Notifications - Pressing on them no longer works and they no longer get dismissed @502
- Server menu - Triggering it from the Server Image area button opens it in the wrong direction #2506
- Room/Room View Header Images - Pressing on them to Edit them does not work #2508
- Call Rooms - Call participants no longer show up on the User List #2511
- Chat - Closing the Edit Message feature and activating it again for the same Message does not work properly #2516
- Server Un-link - The Unlink button works only in the Servers page #2520
- Push Notifications - Chat/Announcement Room Messages no longer trigger them and SE Chat/Announcement Room Messages crash the clients of receiving Users #2521
- Android 13 - The navigation and status bars don't take up an appropriate amount of height #2523
- Notifications: steal focus on desktop #1852
- gif: copy/paste pastes image, not gif #2109
- Role Visibility - Making an Invisible Role Visible CRASHES the client of every User without the Manage Roles Permission #2345
- Target Android API 35, remove OpenSSL from Android #2128
- Input Fields - Triggering the Mentions menu does not work when there is a lot of content present #2449
- Database Decryption - It is possible to open the main Polynom window before the db is decrypted #2256
- SE Call Rooms - The header is missing the same SE indicator that all other SE Room types have #2269
- Notification/Navigation bar - The bars are mispositioned, causing content to appear behind them #2318
- Status bar - The Leave Call button no longer occupies an area #2515
- Public Channels can be transformed into Private ones with just the Manage_Public_Channels Permission #2118
- Permissions - Assigning a User a restrictive Custom Role does not revoke default permissions #2162
- Social Encryption - Editing a Key doesn't update its Hash until the page is refreshed #2184
- SE Keys page - Adding/Removing or Updating an Entropy no longer displays the UPDATE button #2514
- Tooltips - Tooltips that appear un-prompted do not disappear after a timer anymore #2513
- Settings - The Manage Roles and Manage Server Permissions both individually display the entire Administration section #2313
- Room View - Room Descriptions misposition the Room type indicator #2316
- Discard changes popup - Triggering it prevents Drag & Drop from working until client restart #2372
- Identities page - Press & Holding Identities no longer works #2317
- Full window popups - Closing them does not work as intended #2369
- System Back button - Opening a bottom-up menu stops the System Back button from working until you navigate to a different page #2414
- Transfers page - Interacting with the History tab entries no longer works #2420
- Chat - Pasting Images/Animations from the Browser does not work #2426
- Quantum Rooms & Saved Messages - Chat Bubbles with Attachments are sized incorrectly #2427
- Toolbar - Minimizing the Polynom window width while the Toolbar is on the left/right side breaks the UI #2429
- SE Call Rooms - The Push to Talk indicator is missing in SE Call Rooms #2430
- Chat - Scrolling collapses the keyboard #2402
- Desktop Notifications - The Message preview text is invisible #2336
- Popups - Some don't open fully within the Polynom client window #2439
- Manage Roles page - The Role Rank feature does not work #2440
- Private Channels - Server Admins don't receive Private Channel content until they manually refresh the content #2344
- Saved Messages - When an Attachment added through the Attachments button exceeds the File Size Limit, an incorrect Limit is referenced #2205
- SE File Rooms - The View Details pane is revealing file information/previews when you're missing the correct SE Key #2385
- Room View - The header Add Room button doesn't check for the proper Permissions #2393
- Private Channels - Opening the Manage Access popup no longer works #2384
- Sticky Notes - The Save Image button on Sticky Notes does not work #2178
- Notifications page - The toggles and slider no longer work as intended (shared preferences) #2227
- SE Announcement Rooms - Announcement Rooms you don't have the right Key for indicate that you can use them #2285
- Chat Images Toggle - When the Toggle is toggled Off, opening Media in Polynom shows a blank preview #2233
- SE File Rooms - The confirmation popup for deleting SE File Room content you don't have the SE Key for references an incorrect File/Folder name #2301
- Chat - Scrolling the Input Field doesn't work until you start typing #2221
- Create Sticky Note page - Choosing an emoji to represent the Note displays the emoji code instead #2319
- Saved Messages - The User Interface page Scroll Speed slider does not influence the Saved Messages Chat Scroll Speed #2388
- Quantum Rooms - Quantum Rooms don't work with just the Send_Quantum_Messages Permission anymore #2320
- SE page - The SE Key UPDATE button animation is CPU intensive #2389
- Announcement Rooms - The Attachment Drag & Drop feature doesn't check for all the requirements #2392
- Media View - Animations do not show up #2406
- SE Sticky Notes - Trying to access a Sticky Note Attachment you don't have access to crashes Polynom #2394
- SE page - Replacing Entropy Content with a File doesn't trigger the UPDATE button #2410
- Announcement Rooms - Editing a Message with a Mention breaks the Mention #2323
- Media View - Opening Images in the Media View with the Images toggle OFF doesn't work #2374
- SE File Rooms - Remove the Search button #2377
- SE File Rooms - The View Details page allows the User to Rename Files/Folders even when he is missing the correct SE Key #2387
- Quantum Rooms - Sharing Attachments requires the Upload_Attachments Permission #2378
- Call Rooms - Joining a Call crashes Polynom #2395
- Media View - Zooming into Images no longer works as intended #2396
- Popups - Popups that trigger the Keyboard automatically collapse it afterwards #2397
- File Room Search - The View Details page of Search Results doesn't show the Owner #2375
- Media View - Watching some Animations to the end crashes Polynom #2312
- Media View - Images don't load when you open them in the Media View #2370
- Input Field popups - Replacing highlighted content does not work as intended #2215
- File Rooms - Opening the File/Folder bottom-up menu prevents the system back button from working during multi-select afterwards #2207
- Media View - Opening Media in Full Screen mode (Media View) does not work #2177
- Transfers page - Interacting with Downloaded Folders does not work #2213
- DM's - Opening a new DM without having the Send Private Messages Permission crashes Polynom #2224
- Call Rooms - Your own entry in the Connected Users list contains an incorrect overlay over your Graphatar #2274
- Channel nav: Crash due to secret channel separator #1991
- Animations - Copying them transforms them into regular images #1054
- File Rooms - Uploading certain File types may create additional Files in the File Room #1305
- Chat/DM's - Prevent animations from attempting to be Downloaded when missing Download permissions #934
- Social Encryption page - Key Hashes don't update properly until you refresh the page content #2354
- Manage Access - The Role list does not properly represent the assigned Users/Roles #1350
- Push Notifications - Mentions appear as a whitespace character in Push Notifications #1525
- Quantum & SE Rooms & Sticky Notes & DM's - File Transfers do not work #2315
- ShareTo functionality - Sometimes it doesnt work #2163
- Notifications page - The toggles and slider no longer work as intended (shared preferences) #2226
- Chat - Uploading Attachments to Chat only works the first few times #2358
- Logs - Individual Logs no longer show the full timestamp #2196
- Main pane - Remembering your last opened page doesn't account for access #2199
- Chat - Using the Find Message button within the Chat Search function does not work #2175
- Settings page - Popups doesn't fully open within the Polynom window #2185
- Call Rooms - Opening the VOIP Configuration page through the Status Bar does not work #2200
- Settings Roles page - The New Role button in the Roles dropdown is misaligned #2186
- Chat Rooms: Disabled input disables arrow key navigation #2105
- Audio Widget: closing with X makes widget disappear #2157
- Anonymous: clicking on the ? (user) disables delegate's context menu #2145
- quantum rooms: inaccessible in Nov24_1.3 build #2156
- Quantum Rooms - Opening Images in Full Screen does not work #2170
- Mobile: notifications arrive, but rooms are not updated after device sleep #2161
- Whitelist & Blacklist - The lists don't display any Users on Mobile #2171
- Autocorrect: a blue square is left behind after a suggestion #2141
- File room - Breadcrumbs not resetting #2148
- Role Notifications - Role change notifications no longer show #1462
- Channel Nav - Editing a Channel or Creating a new one doesn't position the view properly #1512
- Appearance page - Changing the Row Size changes the margin between the "Colors" section title and the dropdown below it incorrectly #1600
- Channel Nav - Opening a Room always scrolls to the top of the Channel #1639
- Text: Highlighting and copying text from a message strips out the newlines #1731
- Text Rooms - The same date appears multiple times in some cases #1996
- Chat - Adding Mentions to Chat Bubbles doesn't work #1808
- Close/Minize to Systray - The Notification that appears after you use either of the functions for the first time contains an incorrect logo size #1920
- SE File Room: Uploading many files results in loss of files #2036
- User Image: Clearing the image through context menu is not possible #2103
- Announcement room: Input text is not saved #2104
- The Whitelist and Blacklist get visually cleared on reconnect #2117
- Input Field - Interacting with content does not work as intended #2447
- Push Notifications - Mentions don't show up #2322

# Polynom 1.2.0

[1.2.0] - 2024-09-13

Code Siren is pleased to announce the release of Polynom 1.2.0

In this release we have made significant optimizations, bug fixes, and three new experimental features.

The most significant new experimental feature is called Sticky Notes. In truth it's just a simple note feature with advanced encryption to protect it. Thanks to this feature, we have been able to test and vastly improve upon functions that work in the background of Polynom, which paves the way for many potential improvements in the future. This is desktop only feature.

Our second experimental feature is Saved Messages. This is a place to stash copies of messages you've received before they go off screen forever.

This release sees the return of one of our earlier experimental features, audio streaming. It is by no means feature complete but it is good enough to play around with. Only music in public file rooms can be streamed, with support for .wav, .mp3, .ogg & .flac working well. This is desktop only feature. This is desktop only feature.

Features:
- Sticky Notes
- Saved Messages
- Audio Streaming

Enhancements:
- Sticky Notes: add feature to UI #2114
- Audio Streaming mvp: revive basic streaming #2115
- Vibration: enable vibration on iOS #2092
- Entropy: limit SE key entropy to 8 rows #2108
- Custom Profile Image: add new permission #2037
- toolbar: show it when in motion #2098
- Speex: add to everything mini audio #2096
- Mini Audio: implement lib on desktop #2022
- Client: make everything async #2087
- Bluetooth: detect and refresh on disconnect #2097
- macOS: build pipeline #2023
- sleep: generate logging for sleep and wake @2122
- Sounds: voip & notifications on iOS #2084

Bug Fixes:
- File Browser - The File Browser does not show video files #2012
- Notifications: prevent iOS notifications to self #2130
- Whitelist: cannot edit from desktop #2129
- Notifications: hide mark as read on mobile #2123
- SaveAs: not working on full-screen on linux #2111

# Polynom 1.1.0

[1.1.0] - 2024-07-12

Code Siren is pleased to announce the release of Polynom 1.1.0. 

In this release we have made significant optimizations; bug fixes; and added a new personal notes feature to the client

With Personal Notes, you can now direct message yourself, capturing ideas, todos and other items in a quantum secure environment that only you have access to. Our next release will build on this to allow for Sticky Notes, an advanced set up for note taking and collaboration.

The Polynom client has now gone fully asynchronous. For end users, this really means one thing - SPEED. All the optimizations are under the hood, but we think you will agree that everything runs a whole lot smoother. We have upgraded to QT 6.6.3, which brings further bug fixes and optimizations to the client.

Features:
- Personal Notes: self DM #2093

Enhancements:
- QT6.6.3: upgrade and refactor as necessary #2028
- Add social_id to note_add
- Lots of additions to prepare for Sticky Notes in 1.2
- Client: make everything async #2087

Bug Fixes:
- Android: Rooms or Chats don't update messages when the app was minimized #1780
- Main.qml: framlesshelper refactor for QT 6.5+ #1157
- SE File Rooms - Including Encrypted content you do not have the right Key for in your Download selection is incorrectly indicated to work #1405
- swiping: stack0 swipe without delegate broken in QT6.6.3 #2100
- Emoji: Copying emoji from places like MotD in Server Manage in desktop works poorly #2090
- Fixed: Went through all confirmation popups, and ensured it displayed what specifically you were removing/deleting permanently, with the exception of chat messages and entropies
- Replaced pro/enterprise ServerType checks with featureComponent
- Channel categories are back
- CustomListViews now position content correctly if contentHeight is less the view height
* Channel categories now work a bit better in channel edit/create
* New identity page is a bit improved:
- Can now initiate a drag scroll on a graphatar
- The overlapping from the bottom confirm button is a bit better
- When opening notes and you don't have permissions for it on the server, display "Missing Permissions!" in the input like elsewhere
- Fixed broken SE Qml files (for editing SE keys)
- or refresh anti-spam, try to fetchBottom is possible
- Revert some text_comp signature changes I made by mistake
- Fixed const l = FileModelSingleton.listArray.length bugs

# Polynom 1.0.0

[0.1.0.0] - 2024-05-18

Code Siren is pleased to announce the release of Polynom 1.0.0.

In this release we have implemented new post-quantum cryptographic algorithms and enabled crypto-agility in our Pro servers. We are leaving beta proud that our key features are built on a solid foundation across all the major platforms.

It has been six months since the release of Public Beta 5. In order to consolidate numerous breaking changes, there have been two internal releases, the details of which are further below.

Features:
- an iOS client is now available
- a macOS desktop client is now available
- the linux desktop client has full parity (as do all desktop builds)
- both mobile clients have had a full upgrade of bluetooth functionality
- the FCM gateway and FCM services in both mobile clients have been updated
- Graphatars have been updated with Kyber-1024 keys
- Direct messages are now Kyber-1024 encrypted
- Pro servers now have configurable Digital Signature Algorithms (DSA)
- Pro servers now have configurable Key Encapsulation Mechanisms (KEM)

Enhancements:
- Cross-identity updates happen in real time, allowing for multiple devices with the same graphatar
- Numerous updates to Social Encryption Key management
- Last Active status added to user listview
- Individual user mute enhancements
- Unread indicators rationalized to be more responsive
- Lots of real time updating to reduce the need for restarts; i.e. roles, etc.
- New server toolbar images separate from the main server image
- FCM: updates for iOS #2078
- iOS Notifications: parity with Android #1950

Bug Fixes:
- Blank page - Leaving a Room sometimes takes you to an empty page #1986
- iOS text input uses multiple text selection handles at once. #2024
- MacOS: full screen images are grey #2088


# Internal Beta 7

[0.17.XX.X] 2024-04-11 - 2024-04-30

Code Siren will not be publicly releasing Polynom Internal Beta 7. 

All major breaking changes are being combined into the 1.0 release to reduce the pain to our public beta users

In this release:
- DMs are now Kyber encrypted!
- Graphatars have been updated with Kyber keys
- Use Dilitihium Signatures
- Crypto Agility!

Features:
- Last Active: add to user listview

Enhancements:
- Private Rooms: restore lock icon after section removal #2014
- FCM: Make it great again #2076
- Room View - Adjust how Encrypted Room Names appear #1985
- SE File Rooms - Cleanup #2002
- Last Active: add to user listview #2017
- Navigation: Add indicator for ability to swipe between channels, DMs, and Quantum Rooms #2065
- Upload progress: parity with desktop #2033
- Files: fix upload progress in Quantum Rooms #1669
- Edit Server: add tab for signature type #1892
- Mentions not displayed in draft text. #2035
- Kyber DM: implement kyber DMs #1958
- DMs: transition to dilithium signatures #1703
- SE Keys - Prevent invalid SE Keys from appearing in the New/Edit Room popup/page #1960
- Mobile: FCM message encryption/client encryption pairing. #1826
- Manage Server: update mobile page for crypto agility #2062
- Files: prevent renaming without SE key #959
- Room headers: templatize for desktop #2042
- Profile images: enable their use #1938
- Mentions: remove radio buttons from popup #2063
- Cross-device Identity usage - Messages you send in DM's or Quantum Rooms don't appear on your other devices until you refresh the content #237
- client updates: check for update only where needed #1886
- Collapsing Menus: expand/collapse logic in chan nav and settings #2075
- MotD: motdRead does not get set to false when editing motd #1929
- Server List: open automatically when switching IDs #2053
- Settings: Appearance and User Interface reset buttons do not reset exactly what is on each page #2080
- Social Encryption: deleted keys remain active until client restart #2070
- QT6.6: update for linux #1889
- Channels: update access in real time #2082

Bug Fixes:
- Chat - Some sizings make User Names elide even when they have more than enough space #2005
- Input Field popups - Make their corners based off the Row Style #1692
- Android Crash: Log component #1987
- Toasts - Toast notifications not working on iOS #797
- SE Rooms - Not having the right Key no longer interacts with SE Chat, Announcement or File Rooms correctly #1993
- Mute: updates to mute user #2081
- Keyboard - Bringing up the keyboard moves the entire Polynom window upwards #1325
- Keyboard doesn't dismiss in ios #1879
- Sounds: voip, notification sounds not working on linux #1770
- Wallpapers: Single column in the pane should not be possible #2066
- Join/Edit Server page - add a toast notification if server already added #1602
- Chat Rooms - The Mention popup does not filter when you're not using digits (edge case) #1416
- Edit Message - Editing a Message with a Mention breaks the Mention #1768
- Consistency: Single/double select button #2064
- Manage User: updates roles without clicking Finish #2067
- User Interface: reset button sql errors #2079
- Edit Server: max font and row style break popup scrolling #2046
- Social Encryption: decryption of SE content fails after reconnect #2052
- Unread: unreads need multiple attempts to clear #2047
- Social Encryption: cannot remove key from mobile #2074
- Animations - Animations in Chat get slightly zoomed in, hiding context #106
- Anonymous Mode - Messages from Anon Users no longer produce Push Notifications #1034
- Manage Server: linking a server doesn't occur when using "Finish" #2069
- Servers page - Unlinking a Server from an ID does not stop FCM notifications from coming through #1940
- Limits - Limits no longer work properly UX wise #2007
- Input Fields - Copied line breaks aren't pasted as such in other input fields #1319
- Reply Quotes: reply quotes are not being decrypted in encrypted rooms #2061
- New/Edit Key popup - Adding emoticons to the Description Input Field hides the Description after saving your change #1426
- DM: Attachements, filenames not decrypted on community servers #2073
- SE Announcement Rooms - Updating a Key in use does not update Announcement Rooms automatically #1908
- Social Encryption - Restarting the app breaks Image based entropies #1988
- SE Keys - Adding the first Entropy to a Key incorrectly numbers all entropies for the key until client Restart #1198
- VoIP Rooms - Muting yourself while you are speaking does not remove the speaking indicator #1763
- VOIP Widget - The status shape does not update to size changes in real time #1051
- Chat/Announcement Rooms - Message Edits no longer appear in real time #1994
- Transfers page - DM Transfers add empty rows to the History tab #1387
- FCM Notifications - No longer appear on 16.24+ #2000
- Manage Roles pane - If the Role Dropdown menu is scrollable, the New Role button is not visible on opening #1785
- Toolbar - The Identity Dropdown menu is not positioned properly when the Row Size slider is not set to the default #1632
- Portrait Images - Tall and narrow Images do not appear properly inside Shapes #1606
- Mentions - Mentions that don't fit inside the Input Field aren't properly visible #1845
- New Role page/process - Users are able to set a Limit with an empty Input Field #1863
- New Role process - Switching to the next or previous page retains the scroll position #1871
- Manage Roles pane - Hovering over clickable content no longer changes the cursor into a hand #1565
- Android pre-edit text doesn't expand text input when needed #2031
- Help page - The content is not scrollable #1740
- SE Chat Rooms - Reply Quotes for Messages that contain only a single Image/Animation incorrectly obfuscate the preview #1517
- Social Encryption: cannot create a key on mobile #2060
- Mention UI - The Mention UI does not account for the Reply/Edit Message UI or the Attachments UI when calculating it's available space #1832
- Server linking: link/unlink broken in 16.24+ #2038
- Roles: Assigning a role to a user does not persist #2045
- Thumbnails: not rendering in text messages #2029
- Input Fields - Pasting Line Breaks into Input Fields that shouldn't accept them incorrectly works #518
- Draft text - Does not work properly when it includes a mention or emoji #1036
- DM's, SE and Quantum Rooms - Sending Files/attachments through them no longer works #2015
- FCM: not working when app is fully closed. #2059
- Graphatars: unable to import in 16.26+ #2044

# Internal Beta 6

[0.16.22.0] - 2024-02-05

Code Siren will not be publicly releasing Polynom Beta 6. 

All major breaking changes are being combined into the 1.0 release to reduce the pain to our public beta users

Features:
- x

Enhancements:
- Import/Export ID popup - Update the design of these popups to be consitent with the rest #1943
- FCM: prevent double notifications with multiple IDs #1627
- HeaderButton: separate the PageHeaderButton from other CustomHeaderButtons in the app #1743
- Toolbar - Decrease the Toolbar Row Size and Toolbar Shape size #1738
- Full Width mode - Increase the margin between Chat Bubbles in Full Width mode #1739
- Room View: adust icon and shape view #1945
- Server List - Adjust the opening/closing flick #1946
- Edited icon: move into the delegate bubble #1968
- Channel description: readability issues on desktop #1969
- SE Keys page - Make creating a new Key expand it in the SE Keys page #1709
- Installed apps list - Update the Microsoft Store Polynom icon #1971
- SE page - Add a confirmation popup to deleting keys #1509
- Server: additional server error codes to pass to client #923
- Unreads: server should not accept last-read zero #1855
- move legacy requests/ versioning support for enums/messages #1956
- Device ID: break out to device and global IDs #1903
- SaveAs: add to download/history model #2011
- Server: make everything async #1919
- Cross-device IDs: create a join table for user and device #1474
- cross-device: add basic cross-device to server and client #1702
- New/Edit Role page - Make the Priority Input Field consistent with other Input Fields #1752
- Text: page, delegate, view qml review and tidy #999
- Edited icon: move into the delegate bubble #1968
- SE File Rooms - Obfuscate Files that you can't Decrypt #1873
- Qt.MiddleButton: Middle Button mouse deletes & remove from Acceptedbutton #1979
- Settings: make categories expand/collapse #1976
- Template: Channel and Room Header standardization #1972
- Input Fields: label color choosers #1981
- Echo-cancellation: ios #1953
- Echo-cancellation: android #1954
- Bluetooth: android/ios #1864
- Urgent Message - Add the functionality to Mobile #1983
- HIPS - Add the toggle and slider to Mobile #1980
- Role notifications - Add Role notifications to Android #1370
- Logs Search: add to mobile #1599
- iOS file downloads #1850
- Android: Support mult-file selection when uploading files #1144
- Mobile - A header type is incorrectly not influenced by the UI Transparency slider #2010
- New Identity page - Update the Create ID button #1859
- AddText2: migrate to File rooms #1772
- Delegates: re-write until scrolling is fixed #1698
- SE VoIP Rooms - Update the text that appars when you are missing the Key #1877
- Import/Export ID: Add glyphs to the right edge, prevent empty password #541
- Server List - Add a swipe interaction for closing the List #1635
- Chat - Change a color in the Emoticon section #2013
- Manage Server: convert public/private to radio button #2027
- Chat Search - Make switching a Room close it #1537
- Appearance page - Tie the Edit Theme area to the Window Transparency slider #1633
- Room View: move SE icon #2016

Bug Fixes:
- Channel Nav & Server List - Add a fade to the top and bottom of the lists #1636
- SE page - Entries have a hard-coded highlight #1942
- New/Edit Channel page - The SE Keys dropdown menu is not scrollable #2009
- User List - Opening the Edit Server or New Channel popup while it is opened reloads it #1176
- DM's - Deleting messages is possible through the middle mouse click even with missing Permissions #1402
- Polynom is being refered to as "World's first PQC Collaboration Suite" in many areas of Windows #1686
- DM: incorrectly able to DM yourself #2032
- VOIP Rooms - Switching Calls no longer joins the new Call #1444
- Chat - Animations you send are not visible inside the Chat Bubble to you until you refresh the Chat #1260
- User List - The Search header has incorrect colors assigned #2018
- Chat - Adding more than 1 File from the Gallery to the Input Field crashes Polynom #1973
- Reply - Opening the Reply UI no longer pushes the Chat content upwards accordingly #1519
- Polynom Downloads - Make Downloaded Polynom Media appear under the device's Recent Files list #1867
- Private Channels - Reconnecting to the Server removes the Owner indicator in the Channel Nav #1414
- VOIP Config page - Hovering the VBR button doesn't change the cursor into a hand #1504
- Edit Server popup - Removing the Server's Image doesn't save out #1511
- Push Notifications - Push Notifications only appear one per ~3 seconds #1531
- Chat - Adding Files to the Input Field does not interact with the keyboard correctly #1806
- User Interface page - The Cache Buffer slider does not display properly by default #1724
- Chat Fetching - Scrolling with the Arrow Keys doesn't fetch more content once it reaches the end, again #1846
- DM's - DM's no longer work on Beta #1858
- New ID's - The first Message someone sends on a Server does not trigger notifications to recipient #677
- Server - Forcefully stopping file transfers crashes the Server #1683
- DM's - Receiving a Message from your last opened DM does not trigger certain Notifications #1317
- Manage Server page - Making a change doesn't offer the Apply button until the tab is left #2008
- TextFooter - Space is left behind from keyboard when leaving and returning to the text page (attaching a file) #1398
- FS Image: backing out of FS opens keyboard #1937
- Choose Color popup - Opening it for the first time in a session requires pressing it twice #1299
- Text Views - Remove delete message on middle click from message delegates #1970
- VoIP - Closing Polynom during a Call freezes the app and forces the User to Force Stop it #1868
- Search Filters - Clearing the Input without confirming it first exits the function #1918
- VoIP - No longer works #1961
- Notification and Notifications bars - The bars do not get theme-based colors on older API's #1687
- Channel Nav - The Mention indicator is mispositioned #1934
- VoIP Rooms - Make the User List scrollable #1869
- Social Encryption Keys: adding or editing an image to an SE key doesn't stick #1880
- Quantum Room list - The list often requires a client restart to show the proper information #1812
- Media View - Opening the 3 dot menu recolors the notification bar #1947
- Non-Chat Input Fields - Pasting a lot of characters does not work as intended #1909
- New ID popup - The Input Field title and Re-generate buttons appear within the Input Field #2006
- Quantum Rooms - The UI incorrectly contains a button for editing another user's messages #1949
- Transfers page - Opening a transfer's containing folder no longer works #1708
- Manage ID page - The hash area does not fit the entire hash #1984
- Chat Settings - The Outline slider does not work #1876
- File Rooms & Transfers page - The Column selection functionality is broken #1809
- Chat Search - Find no longer works #2004
- Room View - The Room Images are misaligned with the background they are on #1990
- VOIP Config page - The Output and Input Volume sliders do not work #1125
- VoIP Rooms - Participants display a Default Role until you open their Profile #1866
- Chat - Pressing on a Reply Quote removes the LAST READ indicator #1817
- Private Channels - Private Channel content no longer appears in real time #1999
- Toolbar - Servers without Images don't display in the proper shape  #1862
- Chat Attachments - Sending a Message while the section is opened collapses it #1471
- File Rooms - Media thumbnails are getting cut off on the left side #407
- File Rooms - Some SHIFT key selection methods do not work properly #553


# Public Beta 5

[0.15.28.0] - 2023-12-22

Code Siren is pleased to announce Polynom Public Beta 5. 
In this release we completed the separation of IDs from servers - meaning you can now assign which IDs belong to which servers, further protecting your privacy. 

Our clients continue to mature, with HIPS (Hiding in Plain Sight) adjustment sliders giving users more granular control over how their client's traffic is obfuscated over the web and FCM notifications now come to our iOS client.

Our Pro Server offering is also maturing, with licensing and a couple of new pro-only features including message of the day and urgent messages.

Features:
- Client: Server & Identity split Part 2 #1789
- Message of the day #1790
- Urgent messages #1899
- Hiding In Plain Sight client controls #1898

Enhancements:
- Server Image - Adjust the clickable area for opening the Server list and Edit Server popup #1759
- Channel images: add chan images to mobile #1884
- Channel images: add chan images to desktop #1900
- Channel Nav - Add the connection indicator to the Server header #1491
- Edit Room/Server/Channel page - Add the ability to remove an Image #1520
- Server header: mobile > desktop parity #1915
- Server List - The Server Name and Address don't elide #1914
- text_model_component: add parent class for chat #1895
- text_model_component: add parent class for DM #1896
- Notifications: retire the old system in prep for device ID #1897
- Device limits: indicate license exceedance #1904
- entity/entity_object updates #1775
- Notifications: enable iOS notifications in FCM #790
- Notifications: format and enable notifications in iOS #791
- Channel Nav: add room expand/collapse arrow #1894
- Toolbar status: traffic light when toolbar is vertical #1922
- Channel Nav: categorize nav by public and private channels #1893
- Manage Access/Roles page - Add initials to the shapes #1835
- DM List - The DM List Input Field margins are incorrect #1764
- Page headers v2 - Change the text color and the color name #1688
- Urgent Message: add to Chat rooms #1899
- Server nav Popup: add link/unlink server function #1890
- Client: Server & Identity split #1789
- Floating button - Increase the vertical scroll area whenever it is present #1765
- Emoticons - Update their size on Android #141
- File Rooms - Update the Push Notification shape #1578
- Text chat: go to end/beginning tooltips reversed #1923
- New/Edit Key/Room/Channel page - Make choosing a glyph in the glyph selection menu close the menu #1834
- HIPS: add call and response with sliders #1898
- MoD: add MoD to server add/edit #1790
- licensing: implement server licensing #1891
- SE Chat & Files - Obfuscate File Names inside Chat Bubbles #1810
- SaveAs: press and hold for attachments #1825

Bug Fixes:
- Server Mute - Does not work #1148
- Edit Message - Pressing on the Original Message Reply Quote does not highlight the Original Message anymore #1911
- Appearance page - The page is not scrollable #1820
- Notifications: steal focus on desktop #1852
- Push Notifications - Pressing on a Push Notification always opens the Chat at the bottom #1554
- Input Field popups - Some Input Field popups display incorrectly and some trigger the wrong type of keyboard #1822
- Copy Text: cannot copy Hash in linux #1853
- Quantum Rooms - Sending Files no longer works #1931
- Mobile: App.quit black screen show stopper #1936
- VoIP Rooms - The User List does not update in real-time #1926
- Announcement Rooms - New content requires F5 to appear #1925
- New/Edit Role page - Assigning a Limit of 0 no longer means Unlimited #1928
- 3 dot button menu - Leaving it using the system back button after interacting with the 3 dot menu freezes Polynom #1930
- Server Add: Link the server if its already linked with another identity #1939
- DM's - Messages from new DM's don't appear until you reconnect #1856
- Manage Access page/popup - Only Custom Roles are listed if you are missing the Manage_Roles Permission #1749
- DM's - Deleting individual messages no longer works #1935
- DM's - Replies aren't going through #1905
- New Identity page - Creating a New ID no longer works #1924
- Chat - Downloaded non-Image Files don't get Downloaded to the Downloads folder #1887
- Multi-ID use - Switching your ID doesn't remove the previous info from the middle pane #1902
- Color selection menu - The shapes on the bottom-up menu aren't based on the selected shape #1782
- Quantum Rooms - Interacting with the User List while the keyboard is focused focuses an invisible keyboard afterwards #1833
- User Mute and Details page - These buttons incorrectly became tied to Permissions #1933
- DM's - Push Notifications from DM's are missing content #1927
- Input Fields - Ones that offer an X button to clear have a broken X button #1362
- ID selection menu - The menu shows a maximum of 3 identities even when more are available #1857
- SE Key Glyph - The Default Glyph that is shown in the Add Key page is not the one that is used if no custom one was set afterwards #1910
- Systray - The systray context menus, popup and logo aren't themed/sized anymore. #1901
- DM Replies: replies fail with Invalid x25519 verification #1917
- New Role page - Limits assigned on it are not referenced in the Manage Roles page afterwards #1830
- Manage Identity - Toggling the Server List in the Manage identity page freezes Polynom #1975
- Quantum Rooms - Sending Files in Quantum Rooms through the Gallery does not work #1948
- Wizard - Users are unable to apply the second ID that generates #1967

# Public Beta 4
[0.15.12] - 2023-11-20

Code Siren is pleased to announce Polynom Public Beta 4. 
Public Beta 4 (PB4) introduces a lot of enhancements under the hood as well as significant polish to the refactor of our mobile UI introduced in PB2, allowing us to introduce our first iOS beta client.
Server owners can now take advantage of S3 object storage, enhancing their ability to scale and manage their instance.
The stack has been upgraded to QT6.6, bringing significant security improvements and optimization to the clients.
Part 1 of our server/ID split is now in place and will be completed in PB5. This will enable users to select which of their Graphatars are linked to any given server, enhancing security and privacy.

Features:
- iOS client release
- S3 Object Storage #1824
- Client: Server & Identity split Part 1 #1789

Enhancements:
- QT6.6: upgrade the stack #1843
- Nav Header: check correct uses across mobile stack #1613
- File Rooms: iOS make file rooms work #794
- Files: port file handling to iOS #792
- log_component: get logging into ios #1842
- Chat Refresh - Refresh (F5) in a Chat/DM/Announce is not possible without access to the Input Field #1389
- Files: align cursor in header #1797
- shapeItem: use userShape for glyph selection in channels and rooms #1791
- Setting pages: style standardization of delegates and sections #1760
- VoIP Rooms - Adjust the button area #1758
- AddText2: migrate to DMs #1771

Bug Fixes:
- QT6.6: page fixes for mobile #1848
- VoIP Call - The VoIP Timer stops counting when Polynom is not in the foreground #1742
- Manage Roles pane - Resizing it while the Limits section is expanded crashes Polynom #1844
- Announcement Rooms - The Unread Indicators triggered by them only appear on a Room level #1841
- Chat Rooms - Pressing on Mentions no longer opens the User's Profile page #1769
- Transitions page - Changing the Transition to None decreases Polynom's available space #1816
- iOS: Identity Import #1558
- VoIP Rooms - The User Menu can no longer be opened #1762
- Image: unable to paste FS preview in external app #1854
- Image Copy - Copying non-cached Image Previews no longer works as intended #1870
- iOS: Fix logging #1620
- QT6.6: page fixes for desktop #1849
- Full Width Bubble style - Some Bubble functionality is not consistent with non-full width #1307
- Push Notifications - The message content appears blank every few messages you receive #1475
- Notification bar - Some popups do not dim it with the rest of the app #1676
- DM's - The Mention UI is incorrectly accessible in DM's #1693
- Manage User's Roles page - The New Role button text is horizontally misaligned #1736
- Chat - The Input Field cursor is mispositioned again #1675
- Networking page - Update the Clear Cache button #1674
- View Details page - Remove the Owner section for the File Room #1465
- Add to Blacklist page - The Input Field popup does not have an animation #1745
- Edit Limits page - The bottom of the UI incorrectly has a border that separates sections #1756
- Chat Attachments - Scrolling the box does not work #1452
- Quantum Rooms - Pressing on a Reply Quote sometimes does not work as intended #1813
- Appearance page - Press & Holding non-applied Themes always references the applied Theme #1831
- New Role popup - Pressing the Enter key closes it #1659
- Server List - Opening it with no servers added doesn't work through the button #1878
- Pro Server - Assigning Emoticons to Channels/Rooms/etc. does not work #1883
- Chat Bubbles - The Name eliding does not take the Message Edited status into account #1713
- App Permissions - Polynom no longer asks for the Mic Permission #1882
- DM's - Messages from new DM's don't appear until you reconnect #1856
- Linux: mouse wheel scrolling does not work #1804
- Manage Roles page - Two of the Limits page Input Fields do not vertically center correctly #1677

# Public Beta 3
[0.15.X.0] - 2023-10-23

Code Siren is pleased to announce Polynom Public Beta 3. 
In this release we add to our Professional Server offering with enhanced features such as Quantum Rooms, Announcement Rooms, Role-based limits and database encryption. Our Community and Professional servers are now available as Windows builds as well as Linux to facilitate self-hosting.
On top of a raft of improvements, bug fixes and enhancements, our client offering is also expanding to include the Linux desktop and an IOS alpha release. Client database encryption is now available in Windows for those who need greater security. Mobile client encryption is coming soon.


Features:
- Quantum Rooms (Pro only)
- Server sqlite database encryption (Pro only)
- Announcement Rooms (Pro only)
- Changes to Server Admins or Permabans are refreshed without a restart
- Client database encryption (Windows only)
- Linux Desktop client
- iOS alpha client

Enhancements:
- Admin/Permaban: refresh ban list without restart #1622
- Rooms: Add Announcements v1 and CallChat to server #1628
- Rooms: Announcement Room UI #1629
- Voip: consolidate output machines #1723, #1792
- Quantum Room Improvements #1711, #1774, #1645, #1794, #1793, #1719
- Chat Room Optimizations #1701, #1700
- Security: encrypt client sqlite db #42
- Mobile stack view enhancements #1788, #1796, #1754, #1799, #1757, #1784, #1596, #1621, #1720,#1721
- Roles - Role visibility enhancements #1695
- Placeholders: insert placeholder on restore-{room}-state #1680
- Chat Input Fields - Adjust their maximum height #1718
- Page Headers - Update their design #1601
- DM List - Update the Filter #1663
- ID Selection popup - Add shortcuts for creating and importing ID's #1747
- Voip: echo cancellation with and without headphones #1438
- iOS: Identity Import #1558
- Files: port file handling to iOS #792
- Linux: build the client #498
- Linux Files: enable file handling in linux #1761
- Limits: enforce limits in c++ #1611
- Icons: update for polynom and Quantum Rooms #1619
- Voip: echo cancellation with and without headphones #1438

Bug Fixes:
- Users: check whitelist during PQC handshake #1679
- Message limit: restrict input while preserving emojis and mentions #1682
- Assert: sumfactors #1712
- Bidirectional scrolling - Make it work with Chat Room Search #684
- (F5) Refresh - Refreshing moves your location to lastRead #1729
- User List - Users that try connecting to a Server without access appear on it's User List #1673
- image: removal of images through edit of entities #1779
- Search: input field highlighting broken #1798
- Channels - Changing the Channels Emoticon/Glyph does not update on other devices #1786
- New chat on 1st load is opened at most bottom while unread messages present. #1665
- Wizard: does not open on clean install #1800
- Main application window: Displays content incorrectly #1795
- Assert: Deselecting and reselecting a server in desktop hits a Qt assert #1671
- Reply Quotes - Navigating to a Chat Bubble through Reply Quotes doesn't position the view properly #739
- Images in chat: Images from clipboard are named "1" #1722
- File Rooms & Transfers page - The Name column is broken #1725
- Quantum Rooms - The Mention UI is mispositioned #1648
- Quantum Rooms - The User List does not update when other Users join the Quantum Room #1647
- Server Tabs - Pressing on the Chats tab while a Quantum Room is loaded opens the Channels tab #1657
- SE File Rooms - Uploading Files to SE File Rooms Unencrypted causes a UI bug in the Status column #1408
- Manage Roles pane - The Customize section Name field shows the Role name on top of the Placeholder Text #1409
- Scrolling: fix scrolling in StackView Nav #1625
- Manage Roles page - There is a visual bug in the Assign/Unassign Permissions bottom-up menu #1480
- Chat - A bug is causing the Chat Bubble menu to appear twice #1451
- Settings page - Leaving it always returns you to the Channel List #1660
- User List - In some cases the User List does not show any Users #1689
- Bluetooth - Bluetooth earbuds are in "Call Mode" while Polynom is opened #1274
- Huawei smartphone - The keyboard size is not calculated properly #1527
- View Details page - Leaving it doesn't work right if you are at least 1 folder deep #1818
- Quantum Rooms - Sent Images are removed from Chat for you if you leave the Room #1805
- Bluetooth earbuds - Polynom no longer uses the bluetooth device microphone #1819
- Push Notifications - Pressing on them while Polynom isn't running doesn't take you to the right Room/DM #1823
- Wizard - Closing it takes the User to the main window and setting a Passphrase through it doesn't work #1801
- Main application window: Displays content incorrectly #1795
- Quantum Rooms - Downloading Attachments does not work #1787
- Notifications - Notifications no longer work #1807
- StackView: back button takes you out of the app #1803
- Add to Whitelist/Blacklist page - Confirming the addition minimizes Polynom #1814
- New Role page - The New Role process is bugged #1815
- Wizard - Finishing it doesn't auto-connect you to the Server of your choice #1821


# Public Beta 2
[0.14.X.0] - 2023-09-12

We're super excited to release Polynom Public Beta 2!
This major beta release adds new post-quantum cryptographic features only found in Polynom.
When you upgrade, consider uninstalling v0.12.14 first, as we have completely revamped our installer.

Features:
- addition of Quantum Rooms which only exist while being observed (Pro server only)
- attachment size limits can now be assigned to roles, expanding our role based access control
- app can now be installed from the Windows Store
- addition of blacklisting & permaban
- brand new installer
- new Pro server version (sqlite or MariaDB)

Enhancements:
- new mobile stack view for easier navigation 
- Android min API to 26, target to API 33
- new file ul/dl permissions

Bug Fixes:
- fixed Users that crash while inside a Call remain displayed in the Connected Users list indefinitely
- fixed VoIP in iOS alpha 
- fixed Scrolling issues, desktop & mobile
- fixed Unread inconsistent behavior
- fixed Native Text Interactions (reversion to)
- fixed Android foregrounding while in VoIP
- numerous other fixes!

# Public Beta 1
[0.12.X.0] - 2023-07-17

Code Siren is pleased to announce Polynom Public Beta 1
The world's first post-quantum cryptographic collaboration app. Self-host your own Community Server and take back control of your data.

Features:
- Fully CNSA Suite 1.0 compliant
- 80% CNSA Suite 2.0 compliant and climbing
- Self-hosted
- End-to-End Encryption, always
- No Personally Identifiable Information (PII) required
- Community Server is free to use


